Name:		ffmpeg
Version:	0.4.6
Release:        0.0.20021124.1.gst
Summary:	MPEG1/MPEG4/H263/RV video and AC3/MPEG audio encoder.

%define		date		241102

Group:		Libraries/Multimedia
License:	GPL
URL:		http://ffmpeg.sourceforge.net/
Vendor:		GStreamer Backpackers Team <package@gstreamer.net>
Source:		%{name}-%{date}-cvs.tar.gz
Patch:		ffmpeg.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	libffmpeg = %{version}-%{release}

%description
ffmpeg is a hyperfast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%package -n libffmpeg
Summary:	ffmpeg encoding library.
Group:		Libraries/Multimedia
Requires:	%{name} = %{version}-%{release}

PreReq:		ldconfig

Provides:	libav
Provides:	libavcodec

%description -n libffmpeg
libffmpeg contains the shared library used by ffmpeg.

%package -n libffmpeg-devel
Summary:	ffmpeg encoding library development files.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

Provides:	libav-devel
Provides:	libavcodec-devel

%description -n libffmpeg-devel
libffmpeg-devel contains the development files for libffmpeg.

%prep
%setup -n %{name}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
       --enable-shared --enable-static

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_libdir}
# if we want avformat as well, then this is what we need to do, see Makefile
make prefix=$RPM_BUILD_ROOT/%{_prefix} install installlib

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n libffmpeg
/sbin/ldconfig

%postun -n libffmpeg
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc Changelog COPYING INSTALL README VERSION doc
%{_bindir}/ffmpeg
#%{_bindir}/ffplay	# this is just an ugly symlink
%{_bindir}/ffserver

%files -n libffmpeg
%defattr(-,root,root)
%{_libdir}/libavcodec-%{version}.so
%dir %{_libdir}/vhook
%{_libdir}/vhook/null.so
%{_libdir}/vhook/fish.so

%files -n libffmpeg-devel
%defattr(-,root,root)
%{_libdir}/libavcodec.a
%{_libdir}/libavcodec.so
%{_libdir}/libavformat.a
%dir %{_includedir}/ffmpeg
%{_includedir}/ffmpeg/avcodec.h
%{_includedir}/ffmpeg/common.h
## libav
%{_includedir}/ffmpeg/avformat.h
%{_includedir}/ffmpeg/avi.h
%{_includedir}/ffmpeg/avio.h
%{_includedir}/ffmpeg/rtp.h
%{_includedir}/ffmpeg/rtsp.h
%{_includedir}/ffmpeg/rtspcodes.h

%changelog
* Sun Nov 24 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- initial package adapted from mandrake spec file
