Name:		monkey-media
Version:	0.6.0
Release:	3
Summary:	Library for playback of music files.

Group:          Libraries/Multimedia
License:        GPL
URL:            http://www.rhythmbox.org
Source:         http://www.rhythmbox.org/download/%{name}-%{version}.tar.gz
Patch:		monkey-media-gconf.patch
BuildRoot:      %{_tmppath}/%{name}-root

Prereq:         ldconfig

Requires:       gstreamer >= 0.4.2
Requires:       gstreamer-gnomevfs
Requires:       gstreamer-audio-effects
Requires:       gstreamer-mad
Requires:       gstreamer-vorbis
Requires:	gstreamer-GConf
   
Requires:       glib2 >= 2.0.0
Requires:       gnome-vfs2
Requires:       libgnome
Requires:       libgnomeui
Requires:       libglade2
Requires:       gtk2 >= 2.0.0
# this is due to an error in libxml2 packaging, we want to make sure this works
Requires:       zlib

BuildRequires:  gstreamer-devel >= 0.4.2
BuildRequires:	gstreamer-GConf
BuildRequires:	gstreamer-plugins-devel >= 0.4.2
BuildRequires:  glib2-devel >= 2.0.0
BuildRequires:  gnome-vfs2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libglade2-devel
BuildRequires:  gtk2-devel >= 2.0.0
# this is due to an error in libxml2 packaging, we want to make sure this works
BuildRequires:  zlib-devel
# for libid3tag
BuildRequires:  mad-devel
# for ogg/vorbis stuff
BuildRequires:  libogg-devel 
BuildRequires:  libvorbis-devel
# for i18n
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  musicbrainz-devel >= 1.1.0

%description
This is a generic library wrapping gstreamer usable in 
mediaplayer like applications.
             
   Implemented features:
   - Music file loading/playing/pausing/seeking
   - Gnome-VFS file information interface for MP3 and OGG files.
   - Volume control interface
   Planned features:
   - Video interface
   - Support for plugging in effect plugins
   - Equalizer interface

%package devel
Summary:		monkey-media docs, development files and static libraries.
Group:			Development/Libraries
Requires:		%{name} = %{version}

%description devel
Header, docs and development libraries for monkey-media.

%prep
%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove the .la file so RH rpmbuild will not complain
rm -f $RPM_BUILD_ROOT%{_libdir}/libmonkey-media.la
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/monkey-media.schemas > /dev/null

%postun -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_sysconfdir}/gconf/schemas/monkey-media.schemas

%files devel
%defattr(-, root, root)
%{_includedir}/monkey-media/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/monkey-media.pc


%changelog
* Thu Oct 10 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Added the monkey-media schema file
- Removed the .la file

* Sat Aug 10 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Cleaned up all of the requires and buildrequires
- updated for 0.5.0
- added URL and source, changed Group
- moved %configure to a real configure line to avoid libtool trouble

* Sat Jun 22 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Removed .la files as they are out of fashion
- Added i18n directories

* Wed Jun 04 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Removed the GConf stuff again as Monkey-media now use the one supplied by GStreamer
* Thu May 14 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Fixing GConf schema install as per instructions on GConf homepage.
- Added the capplet
* Mon Apr 15 2002 Jorn Baayen <jorn@nl.linux.org>
- Added schemas
* Sat Mar 09 2002 Christian Schaller <Uraeus@linuxrising.org>
- Removed Bonobo stuff as we are just a shared lib now
* Mon Mar 04 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added idl
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
