Name:		musicbrainz
Version:	1.1.0
Release:	gst.1 
Summary: 	MusicBrainz client library

Group: 		Libraries/Multimedia
License: 	LGPL
URL: 		http://www.musicbrainz.org/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source: 	ftp://ftp.musicbrainz.org/pub/%{name}/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

Requires: 	libstdc++
BuildRequires: 	libstdc++-devel
BuildRequires:	gcc-c++

%description
The MusicBrainz client library serves as a tool to allow developers to
integrate MusicBrainz searches and metadata exchange functionality into
their applications.

The client library includes the following features:

    * Lookup Audio CD metadata using CD Index Discids
    * Calculate Relatable TRM acoustic fingerprints
    * Search for artist/album/track titles
    * Lookup metadata by name, TRM ids or MusicBrainz Ids 

%package devel
Summary: 	MusicBrainz client library development files
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
musicbrainz-devel contains the files necessary to build packages that
use the musicbrainz library.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -rf examples/win32
rm -rf examples/Makefile*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
ldconfig

%postun
ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libmusicbrainz.so.*

%files devel
%defattr(-, root, root)
%doc docs examples
%{_includedir}/musicbrainz
%{_libdir}/libmusicbrainz.a
%{_libdir}/libmusicbrainz.so


%changelog
* Thu Nov 14 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial packaging for GStreamer
