%define		perlname 	XML-Generator-XmlTV
Name:		perl-%{perlname}
Version:	0.12
Release:	1
Summary:	TV listings from the web as SAX events

Group:		Applications/CPAN
License:	GPL
URL:		http://search.cpan.org/dist/%{perlname}/
Packager:	Thomas Vander Stichele <thomas@apestaart.org>
Source:		http://search.cpan.org/CPAN/authors/id/K/KR/KRAEHE/%{perlname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

# spec file trickery, please don't look
%{expand:%%define buildforrh7 %(A=$(awk '{print $5}' /etc/redhat-release); if [ "$A" = 7.2 -o "$A" = 7.3 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildforrh8 %(A=$(awk '{print $5}' /etc/redhat-release); if [ "$A" = 8.0 -o "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

%if %buildforrh7
# Red Hat 7 doesn't have Test::More inside the perl rpm
BuildRequires:	perl-Test-Simple
%endif

Requires:	perl
Requires:	perl-DateManip
Requires:	perl-WWW-EuroTV
Requires:	perl-Attribute-Abstract
Requires:	perl-XML-Handler-YAWriter
BuildRequires:	perl
BuildRequires:	perl-DateManip
BuildRequires:	perl-WWW-EuroTV
BuildRequires:	perl-Attribute-Abstract
BuildRequires:	perl-XML-Handler-YAWriter

%description
XML::Generator::XmlTV  generates SAX1 events from online TV guides. It
can  be  used  in  combination  with  an XML writer handler to produce
XMLTV,    containing    a   TV   guide.   XMLTV   is   documented   at
http://membled.com/work/apps/xmltv/.

XML::Generator::XmlTV  has a pluggable structure for TV guide sources.
These   live   in   the  XML::Generator::XmlTV::Source  namespace  and
implement      the     methods     from     the     abstract     class
XML::Generator::XmlTV::Source::Base.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{perlname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
#test fails because it can't find it's own EuroTV source somehow
#make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sat Dec 28 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- first draft
