Name:		wxGTK
Version:	2.2.9
Release:	1
Summary:	GTK+ 1.2 port of the wxWindows library.

%define		majmin		2.2

Group:		X11/Libraries
License:	xwWindows License
URL:		http://www.freiburg.linux.de/~wxxt/
Source:		http://download.sourceforge.net/wxwindows/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# all packages providing an implementation of wxWindows library (regardless of
# the toolkit used) should provide the (virtual) wxwin package, this makes it
# possible to require wxwin instead of requiring "wxgtk or wxmotif or wxqt..."
Provides: 	wxwin

# in addition, we should provide libwx_gtk as automatic generator only notices
# libwx_gtk-%{ver}-%{rel}
Provides: 	libwx_gtk.so
Provides: 	libwx_gtk-%{majmin}.so

Requires:	gtk+
Requires:	libpng
Requires:	libjpeg
Requires:	libtiff
Requires:	libstdc++

BuildRequires:	gtk+-devel
BuildRequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package devel
Summary:	Header files and development documentation for wxGTK
Group:		Development/Libraries
Requires:	%{name} = %{version}
Conflicts:	wxGTK6-devel, wxGTK2.2-devel

%description devel
Header files for wxGTK, the GTK+ port of the wxWindows library.

%package gl
Summary:	GTK+ port of the wxWindows library, OpenGl add-on.
Group:		X11/Libraries
Requires:	%{name} = %{version}

%description gl
OpenGl add-on library for wxGTK, the GTK+ port of the wxWindows library.

%prep
%setup -q

%build
export LDFLAGS=-L/usr/X11R6/lib
export CPPFLAGS=-I/usr/X11R6/include
%configure \
	--without-odbc \
  	--with-opengl \
	--with-gtk  \
	--without-debug_flag \
  	--without-debug_info \
  	--with-libpng \
	--with-libjpeg \
	--with-libtiff \
	--with-zlib

#	--enable-soname \
#	--enable-optimise \
#	\
#	--enable-calendar \
#	--enable-wave \
#	--enable-fraction \
#	--enable-wxprintfv \
#	--enable-xresources \
#	--enable-controls \
#	--enable-tabdialog \
#	--enable-unicode 

make

%install 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
%{find_lang} wxstd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%post gl
/sbin/ldconfig

%postun gl
/sbin/ldconfig

%files -f wxstd.lang
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README.txt SYMBOLS.txt TODO.txt
%dir %{_datadir}/wx
%{_datadir}/wx/*
%{_libdir}/libwx_gtku-%{majmin}.so.*

%files devel
%defattr(-,root,root,-)
%doc samples/*
%{_bindir}/wx*-config
%dir %{_includedir}/wx
%{_includedir}/wx/*
%dir %{_libdir}/wx
%{_libdir}/wx/include/gtku-%{majmin}/wx/setup.h
%{_libdir}/libwx_gtku*.so
%_datadir/aclocal/*

%files gl
%defattr(-,root,root,-)
%doc README.txt
%{_libdir}/libwx_gtku_gl*.so.*

%changelog
* Fri Oct 18 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from included spec
