Name:		wxGTK
Version:	2.3.3
Release:	1
Summary:	GTK+ port of the wxWindows library

Group:		System/Libraries
License:	LGPL
URL:		http://www.freiburg.linux.de/~wxxt/
Source:		http://download.sourceforge.net/wxwindows/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Requires:	gtk2
Requires:	libpng
Requires:	libjpeg
Requires:	libtiff
Requires:	libstdc++

BuildRequires:	gtk2-devel
BuildRequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package devel
Summary:	Header files and development documentation for wxGTK
Group:		System/Libraries
Requires:	%{name} = %{version}
Conflicts:	wxGTK6-devel, wxGTK2.2-devel

%description devel
Header files for wxGTK, the GTK+ port of the wxWindows library.

%package gl
Summary:	GTK+ port of the wxWindows library, OpenGl add-on.
Group:		System/Libraries
Requires:	%{name} = %{version}

%description gl
OpenGl add-on library for wxGTK, the GTK+ port of the wxWindows library.

%prep
%setup -q

%build
export LDFLAGS=-L/usr/X11R6/lib
%configure \
	--without-odbc \
  	--with-opengl \
	--enable-gtk2 --with-gtk  \
	--without-debug_flag \
  	--without-debug_info \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=builtin \
	--with-zlib=sys \
	--enable-soname \
	--enable-optimise \
	\
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog \
	--enable-unicode 

make

%install 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
%{find_lang} wxstd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%post gl
/sbin/ldconfig

%postun gl
/sbin/ldconfig

%files -f wxstd.lang
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README.txt SYMBOLS.txt TODO.txt
%{_datadir}/wx/*
%{_libdir}/libwx_gtku-2.3.so.*

%files devel
%defattr(-,root,root,-)
%doc samples/*
%{_bindir}/*
%dir %{_includedir}/wx
%{_includedir}/wx/*
%dir %{_libdir}/wx
%{_libdir}/wx/include/gtku-2.3/wx/setup.h
%{_libdir}/libwx_gtku*.so
%_datadir/aclocal/*

%files gl
%defattr(-,root,root,-)
%doc README.txt
%{_libdir}/libwx_gtku_gl*.so.*

%changelog
* Fri Oct 18 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from mdk spec
